﻿# PSO2裸パッチ

これは、PSO2の女性用コスチュームの一部のテスクチャ及びモデルを書き換えて裸にするためのファイルです。

最終更新日：2018/09/05

## 使用方法

このアーカイブの素体モデル、ハイポリ素体テスクチャ、ベースウェア、インナーに含まれているファイルと、
CRCパッチ（`d5480a26b3dea3dda37abd1b61fb47cd`）を`PHANTASYSTARONLINE2\pso2_bin\data\win32`内に上書きで入れて下さい。
また通常の方法で起動するとオリジナルのファイルに上書きされてしまうため、別途起動用バッチスクリプト、
もしくは後述する **サードパーティー製ランチャー** でクライアントを起動する必要があります。

単純にテスクチャのハイレゾ化だけをしたい場合は、「ハイレゾ素体テスクチャ」のみいれて下さい。

## 内容物

* オリジナルのファイル
* ハイレゾ素体テスクチャ
* ハイレゾ素体テスクチャ（乳首あり）
* 裸モデル／ベースウェア
* 透過インナー
ほか

※ミューズフラウ用の素体てスクチャはハイレゾではありません。乳首付きもありません。

|ファイル名                      |内容
|--------------------------------|--------------------------------
|d9cfd2c5099c211ee1d32df2f84343f5|素体テスクチャ
|efeae36f5680df844c21c6b132d3afe5|素体テスクチャ（レイヤリング用）
|a04947c8c5ac39bc6da80bf1325c5f3f|素体テスクチャ（ミューズフラウ？）
|c566b14bac9935ee2801acb2d8aa73c0|素体モデル？
|6feb279174e0549b5035724521887017|素体モデル（レイヤリング用）
|d75612ab7e27b5fc6768608b3724f054|素体モデル？
|2cd797fa6d5c90cc56e43db466402b6d|エステ用ベースウェア
|eecf25b7739777508fb046eb94b32f69|ヒューマンベースF
|c9d06ece855b9e3c3cf771c4c01ab83f|ニューマンベースF
|c0854ac879ae27934fdc595e8c5d3353|デューマンベースF
|28f5bcaec242bee73e0f8cc91d2719da|キャストベースF
|2cd797fa6d5c90cc56e43db466402b6d|エステ用インナーウェア
|cef171716ee56571e61bbbb25d6a787f|ヒューマンインナーF
|7b89f911264b77dfbfbe868c04e28320|ニューマンインナーF
|0fbb3fb4dec4d6643971318d1691cba7|デューマンインナーF
|5dc426dcf649bec1cbf9a5a181f40f16|キャストインナーF
|fcda0a767217bfb594540040e37679d6|スマートインナーF

## 確認している問題

* レイヤリングウェアで突起物がInを貫通する。
* ベースウェアによっては体のテスクチャが化けたり、体が服を貫通する。モデルが異なるせい？
* アウターウェアがバグることがある。

## 使用したもの

このファイルを作る上で以下のものを使用しました。

* PSO2 Modding Tools
* セクビキ裸化詰め合わせ
* Hi_poly_base.rar
* invisible-inner+base+crc.rar
* High-poly-nude-mod-for-default-base-v3.4.zip

編集はAdobe Photoshopおよび[Intel® Texture Works Plugin for Photoshop](https://software.intel.com/articles/intel-texture-works-plugin)を使用しました。

## 使用上の注意

* 当ファイルや、スクリーンショットや動画を、安易にツイッターやニコニコ動画のようなSNSにアップして安易に拡散させると、社会的に抹殺されたりSEGAによる利用停止や、過去のDOA2データ改変訴訟のような裁判のリスクがあります。
* いくら匿名掲示板だからと言って、5chのPSO2板やネ実に投稿するのはやめましょう。
* どうしてもアップしたい場合は、専門の話題を扱うDiscordの[PSO2-Modding](https://discord.gg/Kds4V4Z) のような閉じたコミュニティ、そういう前提の人が集まる[bbspink](http://mercury.bbspink.com/ascii2d/) 、[FC2のアダルト動画](https://video.fc2.com/a/movie_search.php?keyword=pso2&fq=)などで楽しみましょう。
* 再配布や拡散は自己責任でお願いします。
* あくまでも個人の嗜みとして利用してください。

## 技術メモ

Modを編集したときにわざわざ再起動する必要はないっぽい。
DDSはDXT1、DXT5のみ認識？

ファイル名の規則
pl_AA_xxxx_B_CD_EE
1  2  3    4 56 7

1. NPC / プレイヤー
2. 部位
|  |部位
|--|----
|ah|アクセサリー？
|ba|ボディペイント
|bp|ステッカー
|bd|コスチューム
|bs|素体
|bp|ステッカー？
|ey|目
|hb|まゆげ
|hd|ヘッド、顔？
|hr|ヘアー？
|hs|メイク？
|pe|ペット
3. ID
4. テクスチャの種類
| |種類                   |備考
|-|-----------------------|-------------------
|d|拡散マップ             |カラーマップ。テスクチャの色
|m|コスチュームカラー反映 |
|n|ノーマル（法線）マップ |凹凸などを表現
|s|スペキュラ             |緑系が透過。赤系が反射の強さ、青系が発光
5. 性別
| |性別
|-|------
|m|男
|f|女
6. 種族
| |種族／レイヤリング
|-|----------
|m|ヒューマン
|c|キャスト
|n|ニューマン
|d|デューマン
|u|全種族？
|l|レイヤリングウェア
7. 部位
|--|-----------
|nh|生身ヘッド
|xx|キャストヘッド、コス
|ow|アウター
|bw|ベース
|iw|インナー

## 参考サイト

### ガイド

* [【PSO2】ファンタシースターオンライン2裸パッチ最新情報](http://pso2modinfo.php.xdomain.jp/)
* [PSO2 File Directory](https://docs.google.com/spreadsheets/d/1GQwG49iYM1sgJhyAU5AWP-gboemzfIZjBGjTGEZSET4/edit?usp=sharing) - PSO2のデータファイルと内容一覧表
* [PSO2 Modding Tutorial](http://www.pso-world.com/forums/showthread.php?237103-PSO2-Modding-Tutorial-2-0) - PSO2 World

### 参考ファイル

* [PSO2 Mod DB](http://pso2mod.com/)
  * [PSO2 Modding Tools](http://pso2mod.com/pso2-modding-tools/)
  * [F High poly nude over default basewear](http://pso2mod.com/f-high-poly-nude-over-default-basewear/)
* [セクビキ裸化詰め合わせ](http://jump2.bdimg.com/safecheck/index?url=x+Z5mMbGPAvVIlwZePSt0B3tEqEFWbC4tOatFxkC6cIuxJcNBefatSF/XsBe0+J2lNz/suJPQVXpFNhlv6Kp9DXqyT9ztnVt/0/cix4IllAxWTU9vTvbrjRBvhaKM/uidj2oeHoEzTI=) - ダウンロードパスワードは`cu46`
* [Hi_poly_base.rar](https://www.dropbox.com/s/9z33aaufogmahs3/Hi_poly_base.rar?dl=0)
* [invisible-inner+base+crc.rar](https://www.dropbox.com/s/f51beau5n5z1rad/invisible-inner%2Bbase%2Bcrc.rar?dl=0)
* [F High poly nude over default basewear v3.4](http://pso2mod.com/f-high-poly-nude-over-default-basewear/)

### サードパーティー製ランチャー

* [PSO2 Tweaker](http://arks-layer.com/)
* [PSO2Go](https://github.com/AerialX/pso2-go)

### コミュニティ

* [PSO2 エロ総合スレ](http://eelog.jp/thread/pso2-ero2) - eelog.jp過去ログ倉庫
* [PSO2-Modding](https://discord.gg/Kds4V4Z) - discord。要ユーザ登録
* [Phantasy Star Online 2 nude mod](https://www.undertow.club/threads/phantasy-star-online-2-nude-mod.3015/)

## 変更履歴

### 2017-11-12

* 初回リリース

### 2017-11-15

* 旧コスの素体のモデルとテスクチャが異なっていたのを修正
* 一部のテスクチャのファイル形式が統一されていなかった問題を修正
* 素体のテスクチャをハイポリ化
  * ハイポリ素体テスクチャのみの適用で裸化することなくハイポリ化のみ反映させることができます。
* 素体の乳首が黒いという指摘を受けたのでオリジナルのものをベースに作り直した。
  * 一応、前のバージョンのものも入れてあります。これは、「ハイポリ素体テスクチャ（トーンあり）」フォルダにあります。
  * 既存のコスにも反映されるため、ブルーシーレクイエムウェアのようなコスでは特殊なことがおきます。
* 乳首などに色がつくようにしました。
* 透過インナーを追加。

### 2017-11-18

* 使用ツールをNVIDIA Texture Tools for Adobe PhotoshopからIntel® Texture Works Plugin for Photoshopに変更。
* 素体テスクチャの乳首などの画像のベースを裸セクシービキニMod準拠に変更。
* ハイポリ素体テスクチャに肌のツヤが抜けていたので作り直し。
* インナーウェアの画像が不適切でテスクチャ化けを起こしていたバグを修正。
* ベースウェアのマスクに含まれていたゴミデータを削除（余計なMipMapが含まれていた）
* 素体に乳首などの色が反映されてなかったバグ修正

### 2018-04-27

* ハイポリテスクチャじゃなくハイレゾてスクチャの間違いでしたｗ
* ミューズフラウ用テスクチャ追加。
* ベースウェアのモデルを変更
* 英文のREADMEを追加

### 2018-06-11

* 指摘のあったエステ用のModを追加。
* インストーラーで簡単導入＆簡単削除

### 2018-08-08

* インストーラーを使いやすくした。
* ベースウェアの種類を増やした
* 裸パッチ最新情報で配布されてるModをマージ
* スマートインナーModを追加（ノーパン用）

### 2018-09-04

* テスクチャ書き直し。
  * 乳首の色の大きさを調整し肛門のテスクチャ追加。
  * 肌の色が濃いときに乳首のブロックノイズが目立つのを抑制
* 旧コス用モデルとベースウェアを同じ扱いにした。
  * エステで表示される下着を透過インナーと同じ扱いにした
  * これに伴い、旧コスとレイヤリングでモデルの不一致が起こる問題を修正

### 2018-09-05

* インストーラーのバグ修正